# $Id: perl-Pod-Strip.spec 5970 2007-11-08 22:11:43Z dag $
# Authority: dag
# Upstream: Thomas Klausner <domm$zsi,at>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Pod-Strip

Summary: Remove POD from Perl code
Name: perl-Pod-Strip
Version: 1.02
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Pod-Strip/

Source: http://www.cpan.org/modules/by-module/Pod/Pod-Strip-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Remove POD from Perl code.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README TODO
%doc %{_mandir}/man3/Pod::Strip.3pm*
%dir %{perl_vendorlib}/Pod/
%{perl_vendorlib}/Pod/Strip.pm

%changelog
* Fri May 04 2007 Dag Wieers <dag@wieers.com> - 1.02-1 #5970
- Initial package. (using DAR)
